@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700&display=swap');

:root{
    --background-color: #050505;
    --border-transparent: 1px solid rgba(250, 250, 250, 0.2);
    --base-padding-left: 20px;
    --base-padding-right: 20px;
    --color-buttons-purple: linear-gradient(to bottom, #560957, #050505);
    --color-buttons-purple-hover: linear-gradient(to bottom, #6e0d70, #000000);
    --brightness-buttons-hover: brightness(2);
    --color-buttons-black-hover: linear-gradient(to bottom, #0d0d0d, #050505);
    --font-size-small: 12px;
    --font-size-base: 16px;
    --font-size-big: 20px;
    --font-size-huge: 24px;
    --color-buttons-black: linear-gradient(to bottom, #090909, #000000);
    --radius-buttons: 20px;
    --padding-buttons: 10px 15px 10px 15px;
    --font-family-base: 'Lato', sans-serif;
}

body{
    margin: 0;
    background-color: var(--background-color);
    font-family: var(--font-family-base);
    font-size: var(--font-size-base);
    color: white;
}

section{
    padding-left: var(--base-padding-left);
    padding-right: var(--base-padding-right);
    padding-top: 15px;
    padding-bottom: 15px;
}

a{
    text-decoration: none !important;
    color: white !important;
    font-weight: bold !important;
}

main{
    gap: 0px;
    display: flex;
    flex-direction: column;
}

a:hover{
    cursor: pointer !important;
    text-decoration: underline !important;
}

.button{
    background: var(--color-buttons-black);
    border-radius: var(--radius-buttons);
    padding: var(--padding-buttons);
    font-weight: normal !important;
    border: var(--border-transparent);
}

.button:hover{
    text-decoration: none !important;
    background: var(--color-buttons-black-hover);
}

.button img{
    height: 25px;
    width: auto;
    vertical-align: middle;
    margin-right: 8px;
}

body > header{
    min-height: 60px;
    background: linear-gradient(to bottom, var(--background-color), #0B0B0B);
    border-bottom: var(--border-transparent);
    padding-left: var(--base-padding-left);
    padding-right: var(--base-padding-right);
    padding-top: 10px;
    padding-bottom: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

header #header-first-line{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

#header-first-line #logo img{
    width: 49vw;
    max-width: 280px;
    height: auto;
}

#header-first-line #menu{
    display: none;
}

#header-first-line #menu ul{
    list-style: none;
    display: flex;
    gap: 20px;
    font-size: var(--font-size-big);
}

#header-first-line #burger-menu-icon{
    background: var(--color-buttons-purple);
    height: 43px;
    width: 43px;
    border-radius: 10px;
    border: var(--border-transparent);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 7px;
}

#header-first-line #burger-menu-icon:hover{
    cursor: pointer;
}

#header-first-line #burger-menu-icon .bar{
    border: solid white 2px;
    width: 25px;
}

#header-second-line{
    padding-top: 15px;
    display: none;
    width: 100%;
}

#header-second-line ul{
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    gap: 5px
}

#header-second-line a{
    text-decoration: none;
    color: white;
    font-size: var(--font-size-big);
}

#slogan{
    background-image: url('/images/bg-slogan.png');
    background-size: 40%;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding-top: 20px;
    padding-bottom: 20px;
}

#slogan h1{
    font-size: var(--font-size-huge);
    color: white;
    margin-bottom: 0px;
    margin-top: 0px;
}

#slogan .gradient-purple{
  background: linear-gradient(to right, #A410A3, #589CDC);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;    
}

#banner{
    background-image: url('/images/bg-home-banner.png');
    background-size: 150%;   /* 50% largeur du div, hauteur auto */
    background-position: 20% 30%;
    background-repeat: no-repeat;
    max-width: 1920px;
}

#banner h2{
    font-size: var(--font-size-huge);
    margin: 0px;
}

#banner p{
    margin-top: 10px;
}

#banner #banner-buttons{
    display: flex;
    gap: 5px;
    margin-top: 15px;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: flex-start;
}

#banner #banner-buttons .button{
    padding: 5px 10px 5px 10px;
}

#newsletter{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px
}

#newsletter img{
    width: 80px;
    height: auto;
}

#newsletter h2{
    font-size: var(--font-size-huge);
    margin: 0;
}

#newsletter p{
    text-align: center;
    margin: 0;
    font-size: var(--font-size-big);
}

#newsletter .button{
    font-size: var(--font-size-big);
    background: var(--color-buttons-purple);
}

#newsletter .button:hover{
    text-decoration: none !important;
    background: var(--color-buttons-purple-hover);
}

#news{
    display: flex;
    flex-direction: column;
    gap: 15px;
    padding-top: 0px;
}

#news .news-box{
    background-color: #0f0f0f;
    padding: 15px 15px 20px 15px;
    border-radius: 15px;
}

#news .news-box .news-date{
    margin-top: 0;
    font-style: italic;
    font-size: var(--font-size-small);
}

#news .news-box .news-title{
    margin-top: 0px;
    font-size: var(--font-size-big);
}

#news .news-box .news-thumbnail{
    border-radius: 15px;
    width: 300px;
    max-width: 100%;
    min-width: 200px;
    height: auto;
}

#news .news-box .news-description{
    margin-bottom: 25px !important;
}

footer{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    padding-left: var(--base-padding-left);
    padding-right: var(--base-padding-right);
    border-top: var(--border-transparent);
    padding-top: 15px;
    background: linear-gradient(to top, var(--background-color), #0B0B0B);
}

footer #footer-first-row{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

footer #footer-logo{
    height: 130px;
    width: auto;
    align-self: flex-start;
}

footer #footer-logo-menu{
    display: flex;
    flex-direction: column;
    gap: 10px;
}

footer #footer-menu{
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
    flex-direction: column;
    text-align: center;
    font-size: var(--font-size-big);
    gap: 5px;
    margin-bottom: 5px;
}

footer #footer-logos{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    list-style: none;
    gap: 20px;
    margin: 0;
    padding: 0;
}

footer .footer-logo{
    width: 30px;
    height: auto;
}

footer #footer-company-infos{
    text-align: center;
    color: grey;
    margin: 0 0 15px 0;
}

.post-date{
    font-style: italic;
    margin-bottom: 0px;
}

.post-title{
    margin-top: 5px;
}

.back-home{
    font-size: var(--font-size-base) !important;
    padding: 5px 10px 5px 10px !important;
    text-transform: capitalize;
}

.img-content{
    width: 100%;
    max-width: 600px;
    height: auto;
    border-radius: 10px;
}

/*Rage of the Elder Gods Page --------------------------------*/

#reg-main{
    background-image: url("images/bg-reg.png");
    background-repeat: no-repeat;
    background-position: 65% 0%;
    background-size: cover;
}

#reg-main h1{
    margin-bottom: 0px;
}

#reg-main #released-date{
    margin-top: 5px;
    margin-bottom: 30px;
}

#reg-main #screenshots-container{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

#reg-main .screenshot{
    width: 43vw;
    max-width: 300px;
    height: auto;
}

#reg-main #buttons-container{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}


/*About Us Page --------------------------------*/

#about-us-main{
    background-image: url("images/bg-about-us.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 65% 20%;
}

#about-us-main #buttons-container{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}


/*Contact Page --------------------------------*/

#contact-main{
    background-image: url("images/bg-contact.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 60% 50%;   
}

#contact-main #contact-form-container{
    max-width: 100%;
}

#contact-main table tr td:last-of-type{
    width: 80%;
    padding-left: 10px;
}

#contact-main #contact-form-container label, input, textarea, button{
    font-size: var(--font-size-base);
    font-style: normal;
    font-family: var(--font-family-base);
}

#contact-main input, textarea{
    width: 100%;
}

#contact-main button{
    color: white;
    cursor: pointer;
}

#contact-main #info-msg{
    background-color: #560957;
    color: white;
    font-weight: bold;
    padding: 15px;
}

#contact-main #captcha-container{
    max-width: 200px !important;
}

#contact-main .g-recaptcha, #contact-main #rc-imageselect{
    transform: scale(0.8);
    transform-origin:0 0;
    margin: 0;
    padding: 0;
}

/*Play the Closed Alpha --------------------------------*/

#play-the-closed-alpha-main{
    background-image: url("images/bg-reg.png");
    background-repeat: no-repeat;
    background-position: 65% 0%;
    background-size: cover;
}

#play-the-closed-alpha-main #buttons-container{
    margin-top: 25px;
    margin-bottom: 15px;
    display: flex;
    flex-wrap: wrap;
    gap: 15px
}

#play-the-closed-alpha-main .button{
    font-size: var(--font-size-big);
}

#play-the-closed-alpha-main .button img{
    width: 30px;
    height: auto;
}


/*Now available on the steam store PAGE */

#now-available-on-the-steam-store-main{
    background-image: url("images/bg-steam.png");
    background-repeat: no-repeat;
    background-size: contain;
}


#now-available-on-the-steam-store-main .wishlist-button{
    font-size: var(--font-size-big) !important;
    display: inline-block;
}

@media (min-width: 1469px) {

    #header-first-line #burger-menu-icon{
        display: none;
    }
    #header-first-line #menu{
        display: inline-block;
    }    

}

@media (min-width: 3840px) {
:root{
    --font-size-small: 20px;/*16*/
    --font-size-base: 25px; /*20*/
    --font-size-big: 32px;  /*25*/
    --font-size-huge: 36px; /*32*/
}  
}

@media (min-width: 930px) {

:root{
    --font-size-small: 16px;/*12*/
    --font-size-base: 20px; /*16*/
    --font-size-big: 24px;  /*20*/
    --font-size-huge: 32px; /*24*/
    --base-padding-left: 20%;
    --base-padding-right: 20%;
}    

#banner p{
    width: 70%;
}

#banner{
    background-image: url('/images/bg-home-banner.png');
    background-size: cover;   /* 50% largeur du div, hauteur auto */
    background-repeat: no-repeat;
}

#slogan{
    background-size: 30%;
    background-position: center;
    background-repeat: no-repeat;
}

#news{
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    padding-left: 0px;
    padding-right: 0px;
}

.news-box{
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 400px;
    text-align: center;
}

.news-box .button{
    display: inline-block;
    margin-top: auto;
    align-self: center;
}

footer{
    padding-left: var(--base-padding-left);
    padding-right: var(--base-padding-right);
}

footer #footer-first-row{
    flex-direction: row;
    width: 100%;
    justify-content: center;
    gap: 150px;
}

footer #footer-menu{
    text-align: left;
}

footer .footer-logo{
    width: 40px;
}

#about-us-main{
    background-position: 65% 50%;
}

}